Skip to main content
POST
/
domains
cURL
curl -X POST 'https://api.nuntly.com/domains' \
  -H 'Authorization: Bearer apk_xxx' \
  -H 'Content-Type: application/json' \
  -d '{"name":"example.com"}'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "createdAt": "<string>",
    "region": "eu-west-1",
    "statusAt": "<string>",
    "sending": true,
    "receiving": true,
    "sendingStatusAt": "<string>",
    "receivingStatusAt": "<string>",
    "openTracking": true,
    "clickTracking": true,
    "records": [
      {
        "name": "<string>",
        "fullname": "<string>",
        "ttl": "<string>",
        "value": "<string>",
        "statusAt": "<string>",
        "selector": "<string>",
        "priority": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Use an API key from https://nuntly.com/dashboard/api-keys. Required on every endpoint.

Body

application/json
name
string
required

The name of the domain to send e-mails'

Example:

"example.com"

sending
boolean

Enable sending

receiving
boolean

Enable receiving

Response

Created.

data
object
required